<!DOCTYPE html>
<html lang="ru">
<head>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width">
    <title>Моя страница</title>
    <script src="js/options.js"></script>
    <script src="js/svoistva.js"></script>
    <script src="js/tovar.js"></script>
    <script src="js/click.js"></script>
    <script>
        function show(){
            let sh = document.getElementById("Cart");
            if(sh.style.display == "none")sh.style.display = "block";
            else sh.style.display = "none";
            return false;
        }

        function itog(){
            let p1 = document.getElementById("KeyboardPrice").textContent;
            let p2 = document.getElementById("MousePrice").textContent;
            let p3 = document.getElementById("ColumnsPrice").textContent;
            let k1 = document.getElementById("KeyboardKol").textContent;
            let k2 = document.getElementById("MouseKol").textContent;
            let k3 = document.getElementById("ColumnsKol").textContent;
            let sum = p1*k1+p2*k2+p3*k3;
            document.getElementById("resultDiv").style.display="block";
            document.getElementById("result").innerHTML = sum;
            return false;
        }

        function Master (){
        document.querySelectorAll("#radio_1  input").forEach(function(rad){
            rad.addEventListener("click",function(){options(rad.id, "pric1", document.querySelectorAll("#radio_1  input"))});
        })
        document.querySelectorAll("#radio_2  input").forEach(function(rad){
            rad.addEventListener("click",function(){options(rad.id, "pric2", document.querySelectorAll("#radio_2  input"))});
        })
        document.querySelectorAll("#radio_3  input").forEach(function(rad){
            rad.addEventListener("click",function(){options(rad.id, "pric3", document.querySelectorAll("#radio_3  input"))});
        })

        document.querySelectorAll("#check_1  input").forEach(function(check){
            check.addEventListener("click",function(){svoistva(check, "pric1")});
        })
        document.querySelectorAll("#check_2  input").forEach(function(check){
            check.addEventListener("click",function(){svoistva(check, "pric2")});
        })
        document.querySelectorAll("#check_3  input").forEach(function(check){
            check.addEventListener("click",function(){svoistva(check, "pric3")});
        })

        button11.addEventListener("click", function(){tiptovar("select1","radio_1","check_1","pric1")})
        button21.addEventListener("click", function(){tiptovar("select2","radio_2","check_2","pric2")})
        button31.addEventListener("click", function(){tiptovar("select3","radio_3","check_3","pric3")})

        button12.addEventListener("click", function(){Click("Kol1","pric1","ErrorK","Keyboard","KeyboardKol","KeyboardPrice")})
        button22.addEventListener("click", function(){Click("Kol2","pric2","ErrorM","Mouse","MouseKol","MousePrice")})
        button32.addEventListener("click", function(){Click("Kol3","pric3","ErrorC","Columns","ColumnsKol","ColumnsPrice")})
        return false;
    }

    document.addEventListener("DOMContentLoaded",Master);
    </script>
</head>
<body class="container-fluid color1 p-0 m-0">
    <div class="row m-0 p-3 color2">
        <div class="d.d-inline-block flex-fill m-1 color4">
            <img class="float-left" src="pictures/logo.png" alt="Логотип" width="100px" height="100px">
            <img class="float-right" src="pictures/cart.png" alt="Корзина" width="100px" height="100px" onclick="return show()">
            <h1 class="">Самый лучший сайт</h1>
        </div>
    </div>
    <div class="row m-0 justify-content-center min-vh-100">
        <div class="col col-lg my-2"></div>
        <div class="d-flex flex-column col-12 col-lg-7 my-2 p-3 color2">
            <div class="row m-2 p-2 align-self-center">
                <a href="index.html"><img src="pictures/Return.jpg" width="305" height="90" alt="картинка0"></a>
            </div>
            <div class="m-2 p-2 text-center"><h2>Товары</h2></div>
            <div class="row my-2">
                <div class="col-5 align-self-center">
                    <img src="pictures/Keyboard.jpg" alt="Keyboard" width="300px" height="170px">
                </div>
                <div class="col-auto">
                    <h5>Клавиатура</h5>
                    <form>
                        Выберите тип.<br>
                        <select name="select1">
                            <option name="tip1.1" value="1000">Тип 1(1000 руб.)</option>
                            <option name="tip1.2" value="1500">Тип 2(1500 руб.)</option>
                            <option name="tip1.3" value="2000">Тип 3(2000 руб.)</option>
                        </select><button id="button11" onclick="return false">Подтвердить</button><br><br>
                        <div id="radio_1" style="display: none;">
                            Выберите опцию.<br>
                            <label><input id="radio11" name="radio1" type="radio" value="+" checked>Опция 1(&nbsp&nbsp&nbsp&nbsp0 руб.)</label>
                            <label><input id="radio12" name="radio1" type="radio" value="+">Опция 2(100 руб.)</label><br>
                            <label><input id="radio13" name="radio1" type="radio" value="+">Опция 3(200 руб.)</label>
                            <label><input id="radio14" name="radio1" type="radio" value="+">Опция 4(300 руб.)</label><br><br> 
                        </div>
                        <div id="check_1" style="display: none;">
                            Выберите свойство.<br>
                            <label><input id ="checkbox11" type="checkbox" value="+">Свойство 1(100 руб.)</label><br>
                            <label><input id ="checkbox12" type="checkbox" value="+">Свойство 2(100 руб.)</label><br>
                            <label><input id ="checkbox13" type="checkbox" value="+">Свойство 3(100 руб.)</label><br>
                            <label><input id ="checkbox14" type="checkbox" value="+">Свойство 4(100 руб.)</label><br><br>
                        </div>
                        Цена: <span id="pric1">0</span> руб.<br>
                        Введите количество товара.<br>
                        <input name="Kol1" type="text">
                        <button id="button12" onclick="return false">Подтвердить</button>
                    </form>
                    <div id="ErrorK" class="text-danger" style="display: none;">Недопустимый символ(разрешено от 0 до 10)</div>
                </div>
            </div>
            <div class="row my-2">
                <div class="col-5 align-self-center">
                    <img src="pictures/Mouse.jpg" alt="Mouse" width="300px" height="300px">
                </div>
                <div class="col-auto">
                    <h5>Мышь</h5>
                    <form>
                        Выберите тип.<br>
                        <select name="select2">
                            <option name="tip2.1" value="1000">Тип 1(1000 руб.)</option>
                            <option name="tip2.2" value="1500">Тип 2(1500 руб.)</option>
                            <option name="tip2.3" value="2000">Тип 3(2000 руб.)</option>
                        </select><button id="button21" onclick="return false">Подтвердить</button><br><br>
                        <div id="radio_2" style="display: none;">
                            Выберите опцию.<br>
                            <label><input id="radio21" name="radio2" type="radio" value="+" checked>Опция 1(&nbsp&nbsp&nbsp&nbsp0 руб.)</label>
                            <label><input id="radio22" name="radio2" type="radio" value="+">Опция 2(100 руб.)</label><br>
                            <label><input id="radio23" name="radio2" type="radio" value="+">Опция 3(200 руб.)</label>
                            <label><input id="radio24" name="radio2" type="radio" value="+">Опция 4(300 руб.)</label><br><br> 
                        </div>
                        <div id="check_2" style="display: none;">
                            Выберите свойство.<br>
                            <label><input id ="checkbox21" type="checkbox" value="+">Свойство 1(100 руб.)</label><br>
                            <label><input id ="checkbox22" type="checkbox" value="+">Свойство 2(100 руб.)</label><br>
                            <label><input id ="checkbox23" type="checkbox" value="+">Свойство 3(100 руб.)</label><br>
                            <label><input id ="checkbox24" type="checkbox" value="+">Свойство 4(100 руб.)</label><br><br>
                        </div>
                        Цена: <span id="pric2">0</span> руб.<br>
                        Введите количество товара.<br>
                        <input name="Kol2" type="text">
                        <button id="button22" onclick="return false">Подтвердить</button>
                    </form>
                    <div id="ErrorM" class="text-danger" style="display: none;">Недопустимый символ(разрешено от 0 до 10)</div>
                </div>
            </div>
            <div class="row my-2">
                <div class="col-5 align-self-center">
                    <img src="pictures/Columns.jpg" alt="Columns" width="300px" height="300px">
                </div>
                <div class="col-auto">
                    <h5>Колонки</h5>
                    <form>
                        Выберите тип.<br>
                        <select name="select3">
                            <option name="tip3.1" value="1000">Тип 1(1000 руб.)</option>
                            <option name="tip3.2" value="1500">Тип 2(1500 руб.)</option>
                            <option name="tip3.3" value="2000">Тип 3(2000 руб.)</option>
                        </select><button id="button31" onclick="return false">Подтвердить</button><br><br>
                        <div id="radio_3" style="display: none;">
                            Выберите опцию.<br>
                            <label><input id="radio31" name="radio3" type="radio" value="+" checked>Опция 1(&nbsp&nbsp&nbsp&nbsp0 руб.)</label>
                            <label><input id="radio32" name="radio3" type="radio" value="+">Опция 2(100 руб.)</label><br>
                            <label><input id="radio33" name="radio3" type="radio" value="+">Опция 3(200 руб.)</label>
                            <label><input id="radio34" name="radio3" type="radio" value="+">Опция 4(300 руб.)</label><br><br> 
                        </div>
                        <div id="check_3" style="display: none;">
                            Выберите свойство.<br>
                            <label><input id ="checkbox31" type="checkbox" value="+">Свойство 1(100 руб.)</label><br>
                            <label><input id ="checkbox32" type="checkbox" value="+">Свойство 2(100 руб.)</label><br>
                            <label><input id ="checkbox33" type="checkbox" value="+">Свойство 3(100 руб.)</label><br>
                            <label><input id ="checkbox34" type="checkbox" value="+">Свойство 4(100 руб.)</label><br><br>
                        </div>
                        Цена: <span id="pric3">0</span> руб.<br>
                        Введите количество товара.<br>
                        <input name="Kol3" type="text">
                        <button id="button32" onclick="return false">Подтвердить</button>
                    </form>
                    <div id="ErrorC" class="text-danger" style="display: none;">Недопустимый символ(разрешено от 0 до 10)</div>
                </div>
            </div>


        </div>  
        <div class="col col-lg my-2">
            <div id="Cart" class="color2 p-2" style="display: none;">
                <div class="m-1 p-1 text-center"><h2>Корзина</h2></div>
                <div id="Keyboard" class="m-1 p-1" style="display: none;">
                    Клавиатура.<br>
                    Цена: <span id="KeyboardPrice">0</span> руб.<br>
                    Количество: <span id="KeyboardKol">0</span>
                </div>
                <div id="Mouse" class="m-1 p-1" style="display: none;">
                    Мышь.<br>
                    Цена: <span id="MousePrice">0</span> руб.<br>
                    Количество:<span id="MouseKol"></span>
                </div>
                <div id="Columns" class="m-1 p-1" style="display: none;">
                    Колонки.<br>
                    Цена: <span id="ColumnsPrice">0</span> руб.<br>
                    Количество:<span id="ColumnsKol"></span>
                </div>
                <div class="text-center">
                    <button id="button4" onclick="return itog();">Показать игтог</button>
                </div><br>
                <div id="resultDiv" style="display: none;">Итог:<span id="result"></span> руб.<br></div>
            </div>
        </div>
    </div> 
    <div class="row m-0 py-4 px-5 color2">
        <div class="row d.d-inline-block flex-fill color4">Подвал</div>
    </div>
</body>
</html>


